Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class SqlTransformerSupport

Direct Known Subclasses:
  SimulationResultSqlTransformer, PlotSqlTransformer, ReferrerSqlTransformer, RelationTypeSqlTransformer, SpeciesSqlTransformer, UnitSqlTransformer

public abstract class SqlTransformerSupport
implements SqlTransformer

Method Summary
`void` | `addDeleteCommands(Statement statement, String name)` Adds set of SQL commands to the statement to remove data element from the table.
`void` | `addUpdateCommands(Statement statement, DataElement de)` Adds set of SQL commands to the statement to update data element in the table.
`String` | `getCountQuery()`
`String` | `getElementExistsQuery(String name)`
`String` | `getElementQuery(String name)`
`String` | `getNameListQuery()`
`String` | `getTable()`
`boolean` | `init(DataCollection owner)`

Method Detail

### addDeleteCommands

    public void addDeleteCommands(Statement statement, String name)
                            throws java.lang.Exception

  Adds set of SQL commands to the statement to remove data element from the table.
  Parameters:
    statement - - statement to which SQL commands should be added.
    de - - object for which DELETE statements will be generated.

### addUpdateCommands

    public void addUpdateCommands(Statement statement, DataElement de)
                            throws java.lang.Exception

  Adds set of SQL commands to the statement to update data element in the table.
  Parameters:
    statement - - statement to which SQL commands should be added.
    de - - object for which UPDATE statements will be generated.

### getCountQuery

    public String getCountQuery()

### getElementExistsQuery

    public String getElementExistsQuery(String name)

### getElementQuery

    public String getElementQuery(String name)

### getNameListQuery

    public String getNameListQuery()

### getTable

    public String getTable()

### init

    public boolean init(DataCollection owner)

Association Links

to Class ru.biosoft.access.DataCollection

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM